import { MarkdownOptions } from '../types';
import { EmbedServerType, EmbedType } from '../embed';
/** 渡された文字列をサニタイズする */
export declare function sanitizeEmbedToken(str: string): string;
/** `EmbedType`か判定する */
export declare function isEmbedType(type: unknown): type is EmbedType;
/** 渡された埋め込みURLまたはTokenを検証する */
export declare const validateEmbedToken: (str: string, type?: EmbedType) => {
    isValid: boolean;
    message: string;
};
/** Embedサーバーを使った埋め込み要素の文字列を生成する */
export declare function generateEmbedServerIframe(type: EmbedServerType, src: string, embedOrigin: string): string;
/** 渡された`type`の埋め込み要素のHTML文字列を返す */
export declare const generateEmbedHTML: (type: EmbedType, str: string, options?: MarkdownOptions) => string;
/** Linkifyな埋め込み要素のHTML生成する */
export declare const generateLinkifyEmbedHTML: (url: string, options?: MarkdownOptions) => string;
